Sign In with your
Trend Micro Account
Need Help?
Need More Help?

Create a technical support case if you need further support.

Deep Security Agent version 10 update 26 cannot be used for installation or upgrade on Windows XP/2003

    • Updated:
    • 5 May 2020
    • Product/Version:
    • Cloud One - Workload Security All
    • Deep Security 10.0
    • Platform:
    • Windows 2003, Windows XP
Summary

Customers attempting to install Deep Security Agent version 10.0 update 26 will observe that this specific update of the Deep Security Agent cannot be installed or used to upgrade agents running on Windows 2003/XP.

 

Deep Security will continue to support the Windows 2003/XP platform as previously communicated in Updated guidance for use of Trend Micro Deep Security to protect Windows 2003, Windows XP, and Windows 2000 based systems

 

As a result of the SHA-1 signing deprecation by Microsoft, additional changes are required to allow us to support all Windows platforms with a single Deep Security Agent installer. 

 

All changes required were not available at the time of the Deep Security Agent version 10.0 update 26 release.  We made the decision that it was in the best interest of our customers to continue with the update as planned, while at the same time ensuring that we minimize any risk or impact specifically to customers using the Deep Security agent in Windows 2003/XP environments.


The ability to install and upgrade the Deep Security Agent on Windows 2003/XP will be once again available in an upcoming Deep Security 10 Update.
 

Details
Public
After users start the upgrade or install the new agent. The Deep Security Agent installation process will not start and will remain on the current version. There is no impact to any functionality but there is a warning message that indicate the installation is not successful. 


Manual Installation

There is a pop window during installation. "Deep Security Agent version 10 update 26 cannot be used for installation or upgrade on Windows XP/2003 platform. Please check the details on the Latest Articles in our Business support page. https://success.trendmicro.com/product-support/deep-security"


Via SCCM/3rd party deployment tool or silent installation

The installation will fail in the early stage of installation and nothing will happen to the system.


Upgrade via manager console

There is a warning system event for software update fail. You can skip this warning event since the installation process does not start.

Premium
Internal
Partner
Rating:
Category:
Deploy; Install; Upgrade
Solution Id:
000251218
Feedback
Did this article help you?

Thank you for your feedback!

To help us improve the quality of this article, please leave your email here so we can clarify further your feedback, if neccessary:
We will not send you spam or share your email address.

*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.

If you need additional help, you may try to contact the support team. Contact Support

To help us improve the quality of this article, please leave your email here so we can clarify further your feedback, if neccessary:
We will not send you spam or share your email address.

*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.